function [Y, R, E] = IsomapAll(num,dir, k, dataset)
%%ISOMAPALL This function is to plot graphs Isomap graphs for all 
%handwritten numerals
% num = mumber of sample images to be loaded for the process
% dataset = choose between train sample and 'test' sample
%dir = directory where the image files are placed
%%
if nargin < 1
    num  = 2000;
end

if nargin < 2
    dir = 'data';
end
if nargin < 3
    k = 7;
end

if nargin < 4
    dataset = 'train';
end

[data, labels] = loadDigits(num,dataset, dir);
D = tangent_d(data,data,1);
options.dims = 1:10;
[Y, R, E] = Isomap(D,'k',7,options);
 val = size(labels);
 val = val(1,2);
 count  = 0;m = 1;
for k = 1:val
    if mod(count, 100) == 0
        %%% increse the value in place of 100 in order to lessen the number
         %%% of Images in the graph. decrese for reverse %%%
         for i = 1:10
             X1.coords{i}(1:i,m) = Y.coords{i}(1:i,k);
         end
         X1.coords{11}(:,m) = data(:,k); %%%Image data to be displayed
            m = m+1;
        end
       count = count +1;
end
Y1 = Y;
Y1.coords{11}(1,1) = 19;
data = cell(3,1);
data{1} = Y1;data{3} =X1;
PlotGraph(data, R);
end

