function [Y, R, E] = Isomap4_9(num, dir, k, dataset)
%%ISOMAP4_9 This function is to plot graphs Isomap graphs for  handwritten
%digits 4 and 9
% num = mumber of sample images to be loaded for the process
% dataset = choose between train sample and 'test' sample
%dir = directory where the image files are placed
%%
if nargin < 1
    num  = 2000;
end
if nargin < 2
    dir = 'data';
end

if nargin < 3;
    k = 7;
end

if nargin < 4
    dataset = 'train';
end

[data, labels] = loadDigits(num,dataset, dir);
j  = 1;
Mydata = zeros(784,num);
Mylabes = zeros(1,num);
%%%Storing the [data labels] pair for numbers 4 and 9%%%%%%%%%%%%%%%%
for i=1:num
    if labels(:,i) == 4 || labels(:,i) == 9
        Mydata(:,j) = data(:,i);
        Mylabel(1,j) = labels(1,i);
        j = j+1;
    end
end

Mydata = Mydata(:,1:j-1);
Mylabel = Mylabel(1,1:j-1);
%%%% Calculating the tangent Distance and Isomap embedding for that%%%%%
D = tangent_d(Mydata,Mydata,1);
options.dims = 1:10;
[Y, R, E] = Isomap(D,'k',6,options);
%%% storing Isomap data for some of the images in order to display the 
%%% images seperately in  the graph 
X1.coords = cell(10,1);
X2.coords = cell(10,1);
m = 1; n = 1;
count = 1; count1 = 1;
for k = 1:j-1
    if Mylabel(1,k) == 4 
        %%% increse the value in place of 20 in order to lessen the number
         %%% of Images in the graph %%%
        if mod(count, 20) == 0
            for i = 1:10
                X1.coords{i}(1:i,m) = Y.coords{i}(1:i,k);
            end
            X1.coords{11}(:,m) = Mydata(:,k); %%%Image data to be displayed
            m = m+1;
        end
        for i = 1:10
            Y1.coords{i}(1:i,count1) = Y.coords{i}(1:i,k);
        end
       count = count +1;
    end
    if Mylabel(1,k) == 9 
        %%% increse the value in place of 20 in order to lessen the number
         %%% of Images in the graph %%%
        if mod(count1, 20) == 0
            for i = 1:10
                X2.coords{i}(1:i,n) = Y.coords{i}(k);
            end
            X2.coords{11}(:,n) = Mydata(:,k); %%%Image data to be displayed
            n = n + 1;
        end
        for i = 1:10
            Y2.coords{i}(1:i,count1) = Y.coords{i}(1:i,k);
        end
   count1 = count1 +1;
    end
end
Y1.coords{11}(1,1) = 4;
Y2.coords{11}(1,1) = 9;
%%%creatiag a cell for storing all the data required for plotting the graph
data = cell(4,1);
data{1} = Y1;data{2} =Y2;data{3}=X1;data{4} =X2;
PlotGraph(data, R);
end

